Skip to main content
Version: 10.40.0

UTM Platform API

Universal Trade Manager (UTM) Platform API provides endpoints for:

  • Authentication and user management
  • Broker connections (TradeStation and Alpaca)
  • Trading accounts, positions, orders, and trades
  • Connected app tokens

Authentication​

Most endpoints require JWT authentication:

Authorization: Bearer <access_token>

Connected apps use device tokens:

Authorization: Bearer dt_<device_token>

Rate Limits​

EndpointLimit
/api/auth/login, /register, /forgot-password, /reset-password10 requests per 15 minutes
/api/auth/refresh100 requests per 15 minutes
/api/auth/password3 requests per hour
All other endpointsNo rate limit configured

Authentication​

JWT access token

Security Scheme Type:

http

HTTP Authorization Scheme:

bearer

Bearer format:

JWT

Contact

UTM Platform Team:

URL: https://github.com/josephdaw/utm-platform

License

MIT